KBugReport class Reference (kdeui Library)

| # kdeui Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KBugReport Class Reference

A dialog box for sending bug reports. A dialog box for sending bug reports. More...

`#include <kbugreport.h>`

Inheritance diagram for KBugReport:

[legend]
Collaboration diagram for KBugReport:

[legend]
List of all members.

## Public Member Functions
| KBugReport (QWidget *parent=0L, bool modal=true, const KAboutData *aboutData=0L)
| Creates a bug-report dialog.
virtual | ~KBugReport ()
| Destructor.
## Protected Slots
virtual void | slotConfigureEmail ()
| "Configure email" has been clicked - this calls kcmshell System/email
virtual void | slotSetFrom ()
| Sets the "From" field from the e-mail configuration Called at creation time, but also after "Configure email" is closed.
virtual void | slotUrlClicked (const QString &)
| The URL-Label "http://bugs.kde.org/" was clicked.
virtual void | slotOk (void)
| OK has been clicked.
virtual void | slotCancel ()
| Cancel has been clicked.
void | appChanged (int)
void | updateURL ()
## Protected Member Functions
QString | text () const
bool | sendBugReport ()
virtual void | virtual_hook (int id, void *data)
## Protected Attributes
KProcess * | m_process
const KAboutData * | m_aboutData
QMultiLineEdit * | m_lineedit
QLineEdit * | m_subject
QLabel * | m_from
QLabel * | m_version
QString | m_strVersion
QHButtonGroup * | m_bgSeverity
QPushButton * | m_configureEmail

## Detailed Description

A dialog box for sending bug reports. A dialog box for sending bug reports.

All the information needed by the dialog box (program name, version, bug-report address, etc.) comes from the KAboutData class. Make sure you create an instance of KAboutData and pass it to KCmdLineArgs.

Author:
  David Faure <faure@kde.org>

Definition at line 42 of file kbugreport.h.

## Constructor & Destructor Documentation

KBugReport::KBugReport | ( | QWidget * | parent = 0L,
|  | bool | modal = true,
|  | const KAboutData * | aboutData = 0L
| ) |

| Creates a bug-report dialog. Note that you shouldn't have to do this manually, since KHelpMenu takes care of the menu item for "Report Bug..." and of creating a KBugReport dialog. Definition at line 66 of file kbugreport.cpp. References KGlobal::_activeInstance, KInstance::aboutData(), QWhatsThis::add(), QGridLayout::addMultiCellWidget(), QGridLayout::addWidget(), KAboutData::appName(), KAboutData::bugAddress(), QString::fromLatin1(), KGlobal::instance(), KStdAccel::label(), KDialogBase::plainPage(), QLabel::setBuddy(), KDialogBase::setButtonCancelText(), KDialogBase::setButtonOKText(), QRadioButton::setChecked(), QGridLayout::setColStretch(), KDialogBase::showButtonOK(), slotConfigureEmail(), slotSetFrom(), slotUrlClicked(), KDialog::spacingHint(), and KAboutData::version().

KBugReport::~KBugReport | ( |  | ) | `[virtual]`

| Destructor. Definition at line 282 of file kbugreport.cpp.

## Member Function Documentation

void KBugReport::slotConfigureEmail | ( |  | ) | `[protected, virtual, slot]`

| "Configure email" has been clicked - this calls kcmshell System/email Definition at line 315 of file kbugreport.cpp. References QString::fromLatin1(), slotSetFrom(), and KProcess::start(). Referenced by KBugReport().

void KBugReport::slotSetFrom | ( |  | ) | `[protected, virtual, slot]`

| Sets the "From" field from the e-mail configuration Called at creation time, but also after "Configure email" is closed. Definition at line 331 of file kbugreport.cpp. References QString::fromLatin1(), QString::isEmpty(), KStdAccel::name(), KConfigBase::readEntry(), KConfigBase::setGroup(), and QLabel::setText(). Referenced by KBugReport(), and slotConfigureEmail().

void KBugReport::slotUrlClicked | ( | const QString & |  | ) | `[protected, virtual, slot]`

| The URL-Label "http://bugs.kde.org/" was clicked. Definition at line 360 of file kbugreport.cpp. References KDialogBase::slotCancel(). Referenced by KBugReport().

void KBugReport::slotOk | ( | void |  | ) | `[protected, virtual, slot]`

| OK has been clicked. Reimplemented from KDialogBase. Definition at line 372 of file kbugreport.cpp. References QDialog::accept(), KMessageBox::error(), KMessageBox::information(), KMessageBox::questionYesNo(), and QLineEdit::text().

void KBugReport::slotCancel | ( |  | ) | `[protected, virtual, slot]`

| Cancel has been clicked. Reimplemented from KDialogBase. Definition at line 426 of file kbugreport.cpp. References QMultiLineEdit::edited(), KDialogBase::slotCancel(), and KMessageBox::warningYesNo().

The documentation for this class was generated from the following files:

- kbugreport.h
- kbugreport.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 12:59:04 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001